body {
  margin: 0;
  background: #232739;
}

html {
  overflow-x: hidden;
  overflow-y: scroll;
}

#loading-bg {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: var(--initial-loader-bg, #232739);
  block-size: 100%;
  gap: 1rem 0;
  inline-size: 100%;
}

.loading-logo img {
  display: block;
  border-radius: 8px;
  object-fit: contain;
}

.loading {
  position: relative;
  block-size: 50px;
  inline-size: 50px;
}

.v-progress-circular__svg {
  display: block;
  block-size: 100%;
  inline-size: 100%;
  transform-origin: center;
  animation: rotate 1.4s linear infinite;
}

.v-progress-circular__overlay {
  stroke: var(--initial-loader-color, #7367f0);
  stroke-linecap: round;
  animation: dash 1.4s ease-in-out infinite;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(1turn);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1 126;
    stroke-dashoffset: 0;
  }

  50% {
    stroke-dasharray: 80 126;
    stroke-dashoffset: -30;
  }

  100% {
    stroke-dasharray: 80 126;
    stroke-dashoffset: -110;
  }
}
